
/**
 * This interface represents the observer for a generically
 * typed version of Java's observer pattern.
 * 
 * @author Matthew Harward
 * @version 11/8/2009
 * @param <U> The data class being transmitted as observed data.
 * @see Observable<U>
 */
interface Observer<U> {
    public void update(Observable<U> entity, U arg);
}